## org.apache.axis.encoding
Class TypeMappingImpl.Pair

    java.lang.Object
      org.apache.axis.encoding.TypeMappingImpl.Pair

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  TypeMappingImpl

public static class TypeMappingImpl.Pair
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`java.lang.Class` `javaType`
`QName` `xmlType`

Constructor Summary
`TypeMappingImpl.Pair(java.lang.Class javaType, QName xmlType)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### javaType

    public java.lang.Class javaType

### xmlType

    public QName xmlType

Constructor Detail

### TypeMappingImpl.Pair

    public TypeMappingImpl.Pair(java.lang.Class javaType,
                                QName xmlType)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

### hashCode

    public int hashCode()

Copyright © 2005 Apache Web Services Project. All Rights Reserved.